package com.xyzshell.myphoneinfo.dashboard

import android.content.Context
import android.view.LayoutInflater
import android.view.ViewGroup
import com.xyzshell.myphoneinfo.base.BaseAdapter
import com.xyzshell.myphoneinfo.databinding.DashboardCpuAdapterBinding

class CpuAdapter(context: Context) : BaseAdapter<String, DashboardCpuAdapterBinding>(context) {
    override fun getViewBinding(parent: ViewGroup): DashboardCpuAdapterBinding =
        DashboardCpuAdapterBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )

    override fun bindItem(
        holder: VHolder<DashboardCpuAdapterBinding>,
        item: String
    ) {
        holder.vb.textCpuContent.text = item

    }
}